FToggleControl
Keywords: com.fg.ftreenodes.FToggleControl class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fg.ftreenodes
Class FToggleControl

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      com.fg.ftreenodes.FToggleControl

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable

Direct Known Subclasses:
  FToggleSwitchControl

public class FToggleControl
extends javax.swing.JPanel

Basic toggle-node GUI component, which displays a toggle-control (check-box or radio button), node icon and label. The FToggleControl component represents GUI component for `FToggleNode` node. Other types of toggle-nodes extend FToggleControl with different "extra-controls", which are used for displaying/editing of the node values.

Version:
  2.0
Author:
  Felix Golubov
See Also:
  `FToggleNode`, `FTree`, Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Field Summary

Fields inherited from class javax.swing.JComponent
`TOOL_TIP_TEXT_KEY, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`FToggleControl()`

Method Summary
`javax.swing.JCheckBox` | `getCheckBox()`
`javax.swing.JComponent` | `getExtraControl()`
`FLabel` | `getLabel()`
`java.awt.Color` | `getLabelBackground()`
`java.awt.Color` | `getLabelForeground()`
`java.awt.Image` | `getLabelImage()`
`java.lang.String` | `getLabelText()`
`int` | `getLabelTextBevel()`
`javax.swing.JRadioButton` | `getRadioButton()`
`javax.swing.JToggleButton` | `getToggleButton()`
`boolean` | `isToggleEnabled()`
`boolean` | `isToggleRadio()`
`boolean` | `isToggleSelected()`
`boolean` | `isToggleVisible()`
`void` | `setExtraControl(javax.swing.JComponent extraControl)`
`void` | `setLabelBackground(java.awt.Color color)`
`void` | `setLabelForeground(java.awt.Color color)`
`void` | `setLabelImage(java.awt.Image image)`
`void` | `setLabelText(java.lang.String text)`
`void` | `setLabelTextBevel(int textBevel)`
`void` | `setToggleEnabled(boolean toggleEnabled)`
`void` | `setToggleRadio(boolean toggleRadio)`
`void` | `setToggleSelected(boolean toggleSelected)`
`void` | `setToggleVisible(boolean toggleVisible)`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintImmediately, paintImmediately, print, printAll, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, createImage, createImage, createVolatileImage, createVolatileImage, dispatchEvent, enable, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FToggleControl

    public FToggleControl()

Method Detail

### setExtraControl

    public void setExtraControl(javax.swing.JComponent extraControl)

### getLabel

    public FLabel getLabel()

### getExtraControl

    public javax.swing.JComponent getExtraControl()

### getCheckBox

    public javax.swing.JCheckBox getCheckBox()

### getRadioButton

    public javax.swing.JRadioButton getRadioButton()

### getToggleButton

    public javax.swing.JToggleButton getToggleButton()

### setToggleRadio

    public void setToggleRadio(boolean toggleRadio)

### isToggleRadio

    public boolean isToggleRadio()

### setToggleVisible

    public void setToggleVisible(boolean toggleVisible)

### isToggleVisible

    public boolean isToggleVisible()

### setToggleEnabled

    public void setToggleEnabled(boolean toggleEnabled)

### isToggleEnabled

    public boolean isToggleEnabled()

### setToggleSelected

    public void setToggleSelected(boolean toggleSelected)

### isToggleSelected

    public boolean isToggleSelected()

### setLabelTextBevel

    public void setLabelTextBevel(int textBevel)

### getLabelTextBevel

    public int getLabelTextBevel()

### setLabelBackground

    public void setLabelBackground(java.awt.Color color)

### getLabelBackground

    public java.awt.Color getLabelBackground()

### setLabelForeground

    public void setLabelForeground(java.awt.Color color)

### getLabelForeground

    public java.awt.Color getLabelForeground()

### setLabelText

    public void setLabelText(java.lang.String text)

### getLabelText

    public java.lang.String getLabelText()

### setLabelImage

    public void setLabelImage(java.awt.Image image)

### getLabelImage

    public java.awt.Image getLabelImage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD